<?php
namespace nur\sery\file\csv;

use nur\sery\file\FileReader;

class CsvReader extends AbstractReader {
  use TAbstractReader;

  function getIterator() {
    $reader = new FileReader($this->input);
    while (($row = $reader->fgetcsv()) !== null) {
      foreach ($row as &$col) {
        $this->verifixCol($col);
      }; unset($col);
      if ($this->cook($row)) {
        yield $row;
        $this->idest++;
      }
      $this->isrc++;
    }
    $reader->close();
  }
}
